#ifndef __BOARD_H__
#define __BOARD_H__

/* Initialisation functions. */

void load_args();
void gpio_init();
void pll_init();
void sdram_init();

/* Select the CPU definitions according to the configuration. */

#ifdef CONFIG_CPU_JZ4730

#include "jz4730.h"
#include "jz4730_compat.h"

#else

#include "jz4740.h"

#endif

#endif /* __BOARD_H__ */
